Suppliers
List suppliers
Returns suppliers. The endpoint is suitable for syncing suppliers into an external system or your own frontend and supports basic full-text search and sorting.
GET
/
suppliers
List suppliers
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/suppliers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/suppliers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 151,
"type": "company",
"name": "Supplier s.r.o.",
"subjectId": "12345678",
"taxId": "2020202020",
"vatId": "SK2020202020",
"isVatPayer": true,
"email": "billing@supplier.test",
"street": "Supplier Street 1",
"city": "Bratislava",
"zip": "81101",
"country": {
"id": 703,
"name": "Slovakia",
"code": "SK",
"eu": true
}
}
]
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Bearer token created for a specific company in Integrations → API.
Query Parameters
Full-text search by name, city, ZIP code, or country.
Example:
"bratislava"
Field used for sorting suppliers.
Available options:
name, city, zip, createdAt, updatedAt Example:
"name"
Sorting direction.
Available options:
asc, desc Example:
"desc"
Response
Supplier list.
Suppliers.
Show child attributes
Show child attributes
⌘I
List suppliers

